Subject: RE: [MIB-DOCTORS] RE: useofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 15 Jan 2007 14:25:48 +0200

Yes, but the 4181 recommendation which is based on 3419 did not consider
the case of direct encapsulation of snmp over the link layer which was
the principal reason of  recommending the usage of TDomain rather than
TransportDomain. I understand that this becomes more confusing, as the
that 3419 TCs will not (or vary rarely be used) - so maybe we need to
work on that BCP like document that Juergen was mentioning which
provides guidance how our addressing TCs are supposed to be used which
may obsolete 3419, and until then document our recommended practices on
the OPS Area wiki pages. 

Dan

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Monday, January 15, 2007 1:35 PM
> To: Romascanu, Dan (Dan); [email-masked]; 
> [email-masked]
> Cc: MIB Doctors
> Subject: RE: [MIB-DOCTORS] RE: 
> useofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> 
> OK. SO we decided.
> 
> I guess someone needs to take a note of the fact that in 
> RFC4181 on pgae 35, we state:
> 
>    Note 3.  TDomain and TAddress SHOULD NOT be used in new 
> MIB modules.
>             The TransportDomain, TransportAddressType, and
>             TransportAddress TCs (defined in TRANSPORT-ADDRESS-MIB
>             [RFC3419]) SHOULD be used instead.
> 
> I guess that needs to be removed then, plus maybe some new 
> text instead?
> 
> Bert 
> 
> > -----Original Message-----
> > From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> > Sent: zondag 14 januari 2007 13:14
> > To: Romascanu, Dan (Dan); Wijnen, Bert (Bert); 
> > [email-masked]; [email-masked]
> > Cc: MIB Doctors
> > Subject: RE: [MIB-DOCTORS] RE: 
> > useofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> > 
> > Based on the discussions in this thread and the lack of further 
> > feedback to my previous feedback in the last few days I 
> would suggest 
> > that we do have rough consensus to recommend to IEEE 802.1 to use 
> > TDomain/Taddress.
> > 
> > 
> > Bert, can you forward this recommendation for change 
> together with the 
> > other changes, which I believe restrict the range of 
> applicability of 
> > the TCs to a couple of instances in the MIB module.
> > 
> > Thanks and Regards,
> > 
> > Dan
> > 
> > 
> > 
> > 
> >  
> >  
> > 
> > > -----Original Message-----
> > > From: Romascanu, Dan (Dan)
> > > Sent: Thursday, January 11, 2007 5:43 PM
> > > To: Wijnen, Bert (Bert); [email-masked]; 
> > > [email-masked]
> > > Cc: MIB Doctors
> > > Subject: RE: [MIB-DOCTORS] RE: 
> > > useofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> > > 
> > > Bert,
> > > 
> > > Actually I felt that we do have rough consensus to make 
> the change.
> > > Juergen advised for the change, the two of us agreed on the
> > basis that
> > > this is the deployed practice with SNMP, and Dave said that
> > although
> > > TransportDomain/TransportAddress are "more general" both 
> approaches 
> > > would work. I do not remember other clear statements.
> > > 
> > > Do you say that this rough consensus is not strong enough
> > to push for
> > > a TR comment? It is not that we are breaking existing
> > implementations,
> > > I believe.
> > > 
> > > Dan
> > > 
> > > 
> > >  
> > >  
> > > 
> > > > -----Original Message-----
> > > > From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> > > > Sent: Thursday, January 11, 2007 5:27 PM
> > > > To: Romascanu, Dan (Dan); [email-masked]; 
> > > > [email-masked]
> > > > Cc: MIB Doctors
> > > > Subject: FW: [MIB-DOCTORS] RE: use 
> > > > ofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> > > > 
> > > > Dan, I am sorry to say, but I cannot read consensus one
> > way or the
> > > > other on the use of TDomain/TAddress vs TransportDomain/Address.
> > > > 
> > > > I am fine with either way, but I am reluctant to tell IEEE
> > > 802.1ag to
> > > > change from TransportDomain/Address to TDomain/Address if
> > we do not
> > > > have a solid consensus on this.
> > > > 
> > > > What is your advise? 
> > > > 
> > > > -----Original Message-----
> > > > From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> > > > Sent: vrijdag 29 december 2006 20:28
> > > > To: David T. Perkins
> > > > Cc: MIB Doctors \\\(E-mail\\\)
> > > > Subject: RE: [MIB-DOCTORS] RE: use 
> > > > ofTransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> > > > 
> > > > Thanks again for your further feedback/comments.
> > > > 
> > > > responses inline
> > > > 
> > > > > -----Original Message-----
> > > > > From: David T. Perkins [mailto:[email-masked]]
> > > > > Sent: vrijdag 29 december 2006 19:28
> > > > > To: Wijnen, Bert (Bert)
> > > > > Cc: David B Harrington; [email-masked];
> > MIB Doctors
> > > > > \\\(E-mail\\\)
> > > > > Subject: RE: [MIB-DOCTORS] RE: use of 
> > > > > TransportDomain/Address(RFC3419)vsTDomain/TAddres s (RFC2579)
> > > > > 
> > > > > HI,
> > > > > 
> > > > 
> > > > .. snip ..
> > > > 
> > > > > As to TDomain/TAddress vs
> > > TransportDomain/TransportAddress, I don't
> > > > > see a difference in this case because RFC 3419 is really a
> > > > clean up of
> > > > 
> > > > > TDomain/TAddress from RFC 2579 and basically says the two are 
> > > > > interchangable! Section 3.1.2 tries to describes when each
> > > > type of TC
> > > > > should be used, and depending on how you slant your head
> > > > when reading
> > > > > that section, you will problably come up with 
> different advise.
> > > > > And my interpretation is that in this MIB module, either
> > > one "will
> > > > > work", but TransportDomain/TransportAddress are "more
> > > general" and,
> > > > > thus my choice. (Bottom line for me is that the choice is
> > > not a big
> > > > > concern since BOTH sets of TCs will work to specify 
> an endpoint
> > > > > address.)
> > > > > 
> > > > 
> > > > Mmm... so this is quite a different view from Juergen's
> > > view I think.
> > > > 
> > > > Bert
> > > > > Regards,
> > > > > /david t. perkins
> > > > > 
> > > > 
> > > 
> > > _______________________________________________
> > > MIB-DOCTORS mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/mib-doctors
> > > 
> > 
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors